package cn.com.qmth.examcloud.core.reports.api.provider;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.core.reports.api.StudentCountCloudService;
import cn.com.qmth.examcloud.core.reports.api.response.SaveStudentCountResp;
import cn.com.qmth.examcloud.core.reports.service.StudentCountService;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@Api(tags = "学生在线人数接口")
@RequestMapping("${$rmp.cloud.reports}"+"studentCount")
public class StudentCountCloudServiceProvider extends ControllerSupport implements StudentCountCloudService {

	
	/**
	 * 
	 */
	private static final long serialVersionUID = -5584819592660072512L;
	@Autowired
	private StudentCountService studentCountService;

	@ApiOperation(value = "计算在线人数")
    @PostMapping("/saveCount")
	@Override
	public SaveStudentCountResp saveCount() {
		studentCountService.saveCount();
		return new SaveStudentCountResp();
	}
}
