package cn.com.qmth.examcloud.core.reports.base.bean;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;

public class ExamOrgMainTopTen {
	@ApiModelProperty(value = "实考人数后十")
	private List<ExamOrgReportMainBean> participant;
	@ApiModelProperty(value = "实考人数前十")
	private List<ExamOrgReportMainBean> participantDesc;
	@ApiModelProperty(value = "实考比例后十")
	private List<ExamOrgReportMainBean> participantRatio;
	@ApiModelProperty(value = "实考比例前十")
	private List<ExamOrgReportMainBean> participantRatioDesc;
	@ApiModelProperty(value = "缺考人数后十")
	private List<ExamOrgReportMainBean> miss;
	@ApiModelProperty(value = "缺考人数前十")
	private List<ExamOrgReportMainBean> missDesc;
	@ApiModelProperty(value = "缺考比例数后十")
	private List<ExamOrgReportMainBean> missRatio;
	@ApiModelProperty(value = "缺考比例前十")
	private List<ExamOrgReportMainBean> missRatioDesc;
	@ApiModelProperty(value = "及格人数后十")
	private List<ExamOrgReportMainBean> pass;
	@ApiModelProperty(value = "及格人数前十")
	private List<ExamOrgReportMainBean> passDesc;
	@ApiModelProperty(value = "及格/报名人数比例后十")
	private List<ExamOrgReportMainBean> passSignRatio;
	@ApiModelProperty(value = "及格/报名人数比例前十")
	private List<ExamOrgReportMainBean> passSignRatioDesc;
	@ApiModelProperty(value = "及格/实考人数比例后十")
	private List<ExamOrgReportMainBean> passParticipantRatio;
	@ApiModelProperty(value = "及格/实考人数比例前十")
	private List<ExamOrgReportMainBean> passParticipantRatioDesc;
	@ApiModelProperty(value = "分段人数")
	private List<PartitionTopTen<PartitionDataBean>> partition;
	public List<ExamOrgReportMainBean> getParticipant() {
		return participant;
	}
	public void setParticipant(List<ExamOrgReportMainBean> participant) {
		this.participant = participant;
	}
	public List<ExamOrgReportMainBean> getParticipantDesc() {
		return participantDesc;
	}
	public void setParticipantDesc(List<ExamOrgReportMainBean> participantDesc) {
		this.participantDesc = participantDesc;
	}
	public List<ExamOrgReportMainBean> getMiss() {
		return miss;
	}
	public void setMiss(List<ExamOrgReportMainBean> miss) {
		this.miss = miss;
	}
	public List<ExamOrgReportMainBean> getMissDesc() {
		return missDesc;
	}
	public void setMissDesc(List<ExamOrgReportMainBean> missDesc) {
		this.missDesc = missDesc;
	}
	public List<ExamOrgReportMainBean> getPass() {
		return pass;
	}
	public void setPass(List<ExamOrgReportMainBean> pass) {
		this.pass = pass;
	}
	public List<ExamOrgReportMainBean> getPassDesc() {
		return passDesc;
	}
	public void setPassDesc(List<ExamOrgReportMainBean> passDesc) {
		this.passDesc = passDesc;
	}
	public List<PartitionTopTen<PartitionDataBean>> getPartition() {
		return partition;
	}
	public void setPartition(List<PartitionTopTen<PartitionDataBean>> partition) {
		this.partition = partition;
	}
	public List<ExamOrgReportMainBean> getParticipantRatio() {
		return participantRatio;
	}
	public void setParticipantRatio(List<ExamOrgReportMainBean> participantRatio) {
		this.participantRatio = participantRatio;
	}
	public List<ExamOrgReportMainBean> getParticipantRatioDesc() {
		return participantRatioDesc;
	}
	public void setParticipantRatioDesc(List<ExamOrgReportMainBean> participantRatioDesc) {
		this.participantRatioDesc = participantRatioDesc;
	}
	public List<ExamOrgReportMainBean> getMissRatio() {
		return missRatio;
	}
	public void setMissRatio(List<ExamOrgReportMainBean> missRatio) {
		this.missRatio = missRatio;
	}
	public List<ExamOrgReportMainBean> getMissRatioDesc() {
		return missRatioDesc;
	}
	public void setMissRatioDesc(List<ExamOrgReportMainBean> missRatioDesc) {
		this.missRatioDesc = missRatioDesc;
	}
	public List<ExamOrgReportMainBean> getPassSignRatio() {
		return passSignRatio;
	}
	public void setPassSignRatio(List<ExamOrgReportMainBean> passSignRatio) {
		this.passSignRatio = passSignRatio;
	}
	public List<ExamOrgReportMainBean> getPassSignRatioDesc() {
		return passSignRatioDesc;
	}
	public void setPassSignRatioDesc(List<ExamOrgReportMainBean> passSignRatioDesc) {
		this.passSignRatioDesc = passSignRatioDesc;
	}
	public List<ExamOrgReportMainBean> getPassParticipantRatio() {
		return passParticipantRatio;
	}
	public void setPassParticipantRatio(List<ExamOrgReportMainBean> passParticipantRatio) {
		this.passParticipantRatio = passParticipantRatio;
	}
	public List<ExamOrgReportMainBean> getPassParticipantRatioDesc() {
		return passParticipantRatioDesc;
	}
	public void setPassParticipantRatioDesc(List<ExamOrgReportMainBean> passParticipantRatioDesc) {
		this.passParticipantRatioDesc = passParticipantRatioDesc;
	}
	
}
