package cn.com.qmth.examcloud.core.reports.base.bean;

import javax.persistence.EnumType;
import javax.persistence.Enumerated;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import cn.com.qmth.examcloud.core.reports.base.enums.AnalyseType;
import cn.com.qmth.examcloud.core.reports.base.enums.DataOrigin;
import io.swagger.annotations.ApiModelProperty;

public class QueryProjectPageReq implements JsonSerializable {



	/**
	 * 
	 */
	private static final long serialVersionUID = -845826847340443744L;
	// 项目id
    @ApiModelProperty(value = "项目id")
	private Long id;
	// 项目名
    @ApiModelProperty(value = "项目名称")
	private String name;

	// 分析类型
    @ApiModelProperty(value = "分析类型")
	@Enumerated(EnumType.STRING)
	private AnalyseType analyseType;

	// 数据来源
    @ApiModelProperty(value = "数据来源")
	@Enumerated(EnumType.STRING)
	private DataOrigin dataOrigin;
    // 启用禁用
    @ApiModelProperty(value = "启用禁用")
	private Boolean enable;
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public AnalyseType getAnalyseType() {
		return analyseType;
	}

	public void setAnalyseType(AnalyseType analyseType) {
		this.analyseType = analyseType;
	}

	public DataOrigin getDataOrigin() {
		return dataOrigin;
	}

	public void setDataOrigin(DataOrigin dataOrigin) {
		this.dataOrigin = dataOrigin;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	
}
